A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Data Structures | Namespaces | Typedefs | Functions
event.h File Reference
`#include <af/defines.h>`

Go to the source code of this file.

## Data Structures
class | event
| C++ RAII interface for manipulating events. More...

## Namespaces
namespace | af

## Typedefs
typedef void * | af_event
| Handle to an event object.

## Functions
AFAPI af_err | af_create_event (af_event *eventHandle)
| Create a new af_event handle.
AFAPI af_err | af_delete_event (af_event eventHandle)
| Release the af_event handle.
AFAPI af_err | af_mark_event (const af_event eventHandle)
| marks the af_event on the active computation stream.
AFAPI af_err | af_enqueue_wait_event (const af_event eventHandle)
| enqueues the af_event and all enqueued events on the active stream.
AFAPI af_err | af_block_event (const af_event eventHandle)
| blocks the calling thread on events until all events on the computation stream before mark was called are complete